This endpoint returns the data of order.
curl --request GET \
--url https://dln.debridge.finance/v1.0/dln/order/{id}import requests
url = "https://dln.debridge.finance/v1.0/dln/order/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://dln.debridge.finance/v1.0/dln/order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "0x997cde21a489d060dd83c897c7e69bc5aa3d56398cc1129fbe34f3bc439b6db9",
"status": "Fulfilled",
"orderStruct": {
"makerOrderNonce": 0,
"makerSrc": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"giveOffer": {
"tokenAddress": "0xff970a61a04b1ca14834a43f5de4533ebddb5cc8",
"amount": "48039251898"
},
"receiverDst": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"takeOffer": {
"tokenAddress": "0xff970a61a04b1ca14834a43f5de4533ebddb5cc8",
"amount": "48039251898"
},
"givePatchAuthoritySrc": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"orderAuthorityAddressDst": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"allowedTakerDst": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"allowedCancelBeneficiarySrc": "0xfa80cd9b3becc0b4403b0f421384724f2810775f",
"externalCall": "<string>"
},
"externalCallState": "AwaitingOrderFulfillment"
}{
"errorCode": 123,
"errorMessage": "<string>",
"errorPayload": {}
}{
"errorCode": 123,
"errorMessage": "<string>",
"errorPayload": {}
}DLN
This endpoint returns the data of order.
This endpoint returns the data of order.
GET
/
v1.0
/
dln
/
order
/
{id}
This endpoint returns the data of order.
Path Parameters
Response
The request has succeeded
Example:
"0x997cde21a489d060dd83c897c7e69bc5aa3d56398cc1129fbe34f3bc439b6db9"
Available options:
None, Created, Fulfilled, SentUnlock, OrderCancelled, SentOrderCancel, ClaimedUnlock, ClaimedOrderCancel Example:
"Fulfilled"
Show child attributes
Show child attributes
Available options:
NoExtCall, AwaitingOrderFulfillment, AwaitingExecution, Executing, Completed, Failed, Cancelled Example:
"AwaitingOrderFulfillment"
This endpoint returns the data for a transaction to place a cross-chain DLN order.
Previous
This endpoint returns the status of order.
Next
⌘I